## NAME

           grdsample - Resample a grd file onto a new grid

## SYNOPSIS

           grdsample  in_grdfile  -Gout_grdfile  [  -F ] [ -Idx[m|c][/dy[m|c]] ] [
           -Lflag ] [ -Nnx/ny ] [ -Q ] [ -Rwest/east/south/north[r] ] [ -T ] [  -V
           ]

## DESCRIPTION

           grdsample  reads  a grdfile and interpolates it to create a new grdfile
           with either: a different registration (-T); or, a new grid-spacing (-I)
           or number of nodes (-N), and perhaps also a new sub-region (-R). Inter-
           polation is bicubic [Default] or bilinear (-Q) and uses boundary condi-
           tions  (-L).   Note  that  using  (-R)  only is equivalent to grdcut or
           grdedit -S. grdsample safely creates a fine mesh from a coarse one; the
           converse  may suffer aliasing unless the data are filtered using grdfft
           or grdfilter.

           in_grdfile
                  The name of the input 2-D binary grd file.

           -G     The name of the output grd file.

## OPTIONS

           No space between the option flag and the associated arguments.

           -F     Force pixel registration. [Default is grid registration].

           -I     x_inc [and optionally y_inc] is the grid spacing.  Append  m  to
                  indicate minutes or c to indicate seconds.

           -L     Boundary  condition  flag may be x or y or xy indicating data is
                  periodic in range of x or y or both set by -R, or flag may be  g
                  indicating  geographical  conditions  (x and y are lon and lat).
                  [Default uses "natural" conditions  (second  partial  derivative
                  normal to edge is zero).]

           -N     Specify number of columns nx and rows ny of new grid.

           -Q     Quick mode, use bilinear rather than bicubic interpolation.

           -R     west,  east, south, and north specify the Region of interest. To
                  specify boundaries in degrees and minutes [and seconds], use the
                  dd:mm[:ss]  format.  Append  r if lower left and upper right map
                  coordinates are given instead of wesn.

           -T     Translate between grid and pixel registration while  keeping  -R
                  and  -I  the  same;  if input is grid-registered, output will be
                  pixel-registered and vice-versa. The input file  determines  -R,
                  -I  and -N so no other options are necessary (except possibly -L
                  or -Q).

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

## HINTS

           If  an  interpolation  point is not on a node of the input grid, then a
           NaN at any node in the neighborhood surrounding the point will yield an
           interpolated  NaN.  Bicubic  interpolation  [default] yields continuous
           first derivatives but requires a neighborhood of 4 nodes  by  4  nodes.
           Bilinear interpolation [-Q] uses only a 2 by 2 neighborhood, but yields
           only zeroth-order continuity. Use bicubic when smoothness is important.
           Use bilinear to minimize the propagation of NaNs.

## EXAMPLES

           To  resample  the  5  x  5 minute grid in hawaii_5by5_topo.grd onto a 1
           minute grid, try

           grdsample hawaii_5by5_topo.grd -I1m -Ghawaii_1by1_topo.grd

           To translate the gridline-registered file surface.grd to  pixel  regis-
           tration, try

           grdsample surface.grd -T -Gpixel.grd

## SEE ALSO

           gmt(l), grdedit(l), grdfft(l), grdfilter(l)

    GMT3.4.6                          1 Jan 2005                      GRDSAMPLE(l)